summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-28 13:42:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-28 13:42:19 +0000
commit6cbd864983fc14b1cd3c198df22c0ed93c62a86c (patch)
tree3a04d6d6e1ce1d373825459bbb1fc6ea9b1d7172 /dev-python
parentb306b3b6903b6e443cf6a3c8b22954da3d1d57c6 (diff)
downloadbaldeagleos-repo-6cbd864983fc14b1cd3c198df22c0ed93c62a86c.tar.gz
baldeagleos-repo-6cbd864983fc14b1cd3c198df22c0ed93c62a86c.tar.xz
baldeagleos-repo-6cbd864983fc14b1cd3c198df22c0ed93c62a86c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/APScheduler/APScheduler-3.9.1.ebuild53
-rw-r--r--dev-python/APScheduler/Manifest1
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-2.10.0.ebuild53
-rw-r--r--dev-python/bandit/Manifest1
-rw-r--r--dev-python/bandit/bandit-1.7.3.ebuild37
-rw-r--r--dev-python/cssselect2/Manifest1
-rw-r--r--dev-python/cssselect2/cssselect2-0.5.0.ebuild33
-rw-r--r--dev-python/executing/Manifest1
-rw-r--r--dev-python/executing/executing-0.8.3.ebuild42
-rw-r--r--dev-python/imageio/Manifest6
-rw-r--r--dev-python/imageio/imageio-2.13.4.ebuild45
-rw-r--r--dev-python/imageio/imageio-2.13.5.ebuild45
-rw-r--r--dev-python/imageio/imageio-2.14.0.ebuild45
-rw-r--r--dev-python/imageio/imageio-2.14.1.ebuild46
-rw-r--r--dev-python/imageio/imageio-2.16.1.ebuild (renamed from dev-python/imageio/imageio-2.15.0.ebuild)5
-rw-r--r--dev-python/importlib_metadata/Manifest1
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild51
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.4.0-r2.ebuild27
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild2
-rw-r--r--dev-python/jaraco-envs/Manifest1
-rw-r--r--dev-python/jaraco-envs/jaraco-envs-2.3.0.ebuild35
-rw-r--r--dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild2
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-0.7.2.ebuild49
-rw-r--r--dev-python/packaging/packaging-21.3-r2.ebuild2
-rw-r--r--dev-python/pikepdf/pikepdf-4.5.0.ebuild2
-rw-r--r--dev-python/pygame/pygame-2.1.2-r1.ebuild2
-rw-r--r--dev-python/pyilmbase/pyilmbase-2.5.7-r1.ebuild2
-rw-r--r--dev-python/pyopengl/pyopengl-3.1.6.ebuild2
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild2
-rw-r--r--dev-python/pytest-regressions/pytest-regressions-2.3.1.ebuild42
-rw-r--r--dev-python/python-efl/Manifest1
-rw-r--r--dev-python/python-efl/python-efl-1.26.0.ebuild79
-rw-r--r--dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r2.ebuild2
-rw-r--r--dev-python/slixmpp/Manifest1
-rw-r--r--dev-python/slixmpp/slixmpp-1.8.0.1.ebuild36
-rw-r--r--dev-python/slixmpp/slixmpp-9999.ebuild6
-rw-r--r--dev-python/test_server/Manifest1
-rw-r--r--dev-python/test_server/test_server-0.0.39.ebuild25
-rw-r--r--dev-python/tqdm/Manifest1
-rw-r--r--dev-python/tqdm/tqdm-4.63.0.ebuild46
-rw-r--r--dev-python/weasyprint/Manifest1
-rw-r--r--dev-python/weasyprint/weasyprint-54.2.ebuild44
-rw-r--r--dev-python/wsproto/Manifest1
-rw-r--r--dev-python/wsproto/wsproto-1.1.0.ebuild26
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-3.0.3.ebuild25
-rw-r--r--dev-python/zstandard/zstandard-0.17.0.ebuild2
49 files changed, 700 insertions, 236 deletions
diff --git a/dev-python/APScheduler/APScheduler-3.9.1.ebuild b/dev-python/APScheduler/APScheduler-3.9.1.ebuild
new file mode 100644
index 000000000000..73fef4e190a6
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.9.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="https://github.com/agronholm/apscheduler"
+SRC_URI="mirror://pypi/A/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tzlocal-4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ # disable test fixtures using external servers (mongodb, redis...)
+ # these fixtures are using markers in git master, so the patch
+ # should be no longer necessary with next major bump
+ "${FILESDIR}"/APScheduler-3.8.1-external-server-tests.patch
+)
+
+EPYTEST_DESELECT=(
+ tests/test_jobstores.py::test_repr_mongodbjobstore
+ tests/test_jobstores.py::test_repr_redisjobstore
+ tests/test_jobstores.py::test_repr_zookeeperjobstore
+)
+
+python_prepare_all() {
+ # suppress setuptools warning #797751
+ sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+ sed -e '/addopts/d' -i setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index 87be39734911..8bc4be634098 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1,2 +1,3 @@
DIST APScheduler-3.8.1.tar.gz 98699 BLAKE2B 7a8320251670de29f76375387f8a3817b3a9c401befd4bfefba106817ec3d21fc0f60af9b7a7620f83c0e1c651bc3eb8c62036a17e01ff91bf5dcf492ff78911 SHA512 553af2532b32bcdc7dc3047bf4f51623e87dbee62dac40b7ca8c3e64881467ecf6c50df56c863d5a44c6b8a99eb02ae22ae008d76ee4836ba398afd280bed99b
DIST APScheduler-3.9.0.tar.gz 100492 BLAKE2B c1d15dcbebf52034cad0a1317bca68cf567d5acbf6619a5905e1793702339a68cef0a639463f887bb71cb96f15762bea5e5521230fa957e2fbb2ae501ca3cb36 SHA512 40b180f0297b0be125dea89d518331c1f78b1468b6507651c8e9b06cbb44f700ef1f1c44be8bf08f562b67ac6e89ac5022598ad79081bdf0290c207063e0898a
+DIST APScheduler-3.9.1.tar.gz 100567 BLAKE2B a31e2591c47d451e95a982b4d85a70ee9a33bf2370a70e0e1ba2a8e31ae718d5853aad6242cbd8f90dc5bc6912af3ea96270e9f514c3903d041af450c1d8ead5 SHA512 901e04140dc9af3b67887cd3200131cc4121cad71b7ca4afe7cc0adf1a58cebb02eee5abed1f97fc95fe9fef843d00cd6611ab3fbff8ace9247894d6f0720dff
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index c62af6113331..336847aa9c3a 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1 +1,2 @@
+DIST astroid-2.10.0.tar.gz 417686 BLAKE2B a4aa0451134403abf8e56ccd9dae106d2a92b2bd53c6772c952984ea5603b44ef5c13b9822b4fda0a146ad96a7412a602c2c46313938dea30cfb390fc55ee54d SHA512 34b52cd2e6636009369ec55a5781caaf8e8b0766b7ba4e70ff1f55d275a673266e0293f65145ff38637d6da353679314d0fbf182416146b89e210a68e39d86f0
DIST astroid-2.9.3.tar.gz 409069 BLAKE2B 152dbe8ab2fee3964dc8cc714a5ba48c71b5994c77d1e20683bcf028483aca22d5be5772e72d056cfd3d1f59562b447366d61fc35a2b67d545f069a8f7975e84 SHA512 7bb3bf2d456c0d22325444e641961c34eaddcddf50c97ee9f5b5c8755232cf1b65a315258403b40bb7dcad15c4f9b6b73ab0eb607525a48a65f52406969eca04
diff --git a/dev-python/astroid/astroid-2.10.0.ebuild b/dev-python/astroid/astroid-2.10.0.ebuild
new file mode 100644
index 000000000000..31e2a5237044
--- /dev/null
+++ b/dev-python/astroid/astroid-2.10.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in __pkginfo__.py.
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ <dev-python/wrapt-1.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why it's broken
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/unittest_brain_dataclasses.py::test_pydantic_field
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index bc68efb21fb0..5d7fd5714ebd 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1 +1,2 @@
DIST bandit-1.7.2.tar.gz 497104 BLAKE2B 235e8c29658db9b0916b2108a46931581384851650217a7e368f06fe9225aadf181b320a75061387b277d1e3ff3f1d38fe6d07be14f7c7d056fa06e8db84e4e4 SHA512 fde27d409dcb867285f3c7a9ee88a079dae58211e17c2157601bbff9e9144e604def3c0179a7c9016266bdf70ed9da9ca519641f4aca4e76a30859c8e01177b9
+DIST bandit-1.7.3.tar.gz 495009 BLAKE2B fb31ae7a5115ec98ba9b62100a2601552e6ca54b9f57fe61e0bb3f2b4b107cc83c25425a43e2681a1e83d7606e209089cbfa95068bb3dc0f35f188b75a307390 SHA512 4a95c67185446ba4250bb2e37dcafb423d4985952122793a698788f8d973ac700964dce0603b5d547d4b74f82272593bc72be266c34ec73af903f3d016015148
diff --git a/dev-python/bandit/bandit-1.7.3.ebuild b/dev-python/bandit/bandit-1.7.3.ebuild
new file mode 100644
index 000000000000..b8207362b981
--- /dev/null
+++ b/dev-python/bandit/bandit-1.7.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="https://github.com/PyCQA/bandit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~s390 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/GitPython-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup4-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-1.9.4[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/cssselect2/Manifest b/dev-python/cssselect2/Manifest
index f2658b88e1a1..4e5486d7047e 100644
--- a/dev-python/cssselect2/Manifest
+++ b/dev-python/cssselect2/Manifest
@@ -1 +1,2 @@
DIST cssselect2-0.4.1.tar.gz 32756 BLAKE2B 86915c39aa5b72ebcdba25b3ac23f59a0fb6c6109019d68e8ce8846572d9412a3cc76cdf9e8b2163605cb942183019eb9170df9a4e61476d703eaf612381a903 SHA512 feafeec3dbe3157ee452d94cd391a09cfcb48ca8bd1563c117c77c9ceb01102c4989611ede39e433ec25d3ddda98a94c4589ccb290b79c729683e673763b42ac
+DIST cssselect2-0.5.0.tar.gz 34918 BLAKE2B 12ec30d42caa916e487674ccb910def00acca3f47b3d9e69f376614b997e68f4dae1632a852efd0b9d47c321534935d029fd96028dce9b11e391402b203fbdbd SHA512 869dbce3915db87727b09016c094b908b0055693db238a24c89b0482fed64d7e1811ad2db407faee32638566fd4e47402f05155dc2d8887e98f2107f9b8633c2
diff --git a/dev-python/cssselect2/cssselect2-0.5.0.ebuild b/dev-python/cssselect2/cssselect2-0.5.0.ebuild
new file mode 100644
index 000000000000..7006dde3daa3
--- /dev/null
+++ b/dev-python/cssselect2/cssselect2-0.5.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Parses CSS3 Selectors and translates them to XPath 1.0"
+HOMEPAGE="
+ https://cssselect2.readthedocs.io/en/latest/
+ https://pypi.org/project/cssselect2/
+ https://github.com/Kozea/cssselect2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ dev-python/webencodings[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
index a39b3b6667a3..9a40d6031446 100644
--- a/dev-python/executing/Manifest
+++ b/dev-python/executing/Manifest
@@ -1 +1,2 @@
DIST executing-0.8.2.gh.tar.gz 494836 BLAKE2B d6ade5658c8df656e80bb596f6c19493475d74ea10ddfc60b25eadb4a2f68d8afd2f437a6f82807932bba0469617fdac7a4dd90569623d1c8d7f96220e02ec9a SHA512 9a7fe4d3bae77d49725f35bae9d239bfb2a6e89d893d871d76f26fe4beffe0a07c6cbf50ea7b35b9ced66148d015c48106bc5774b26f201f9b40577f3380f5b3
+DIST executing-0.8.3.gh.tar.gz 495111 BLAKE2B ccb1a7df974f94b48960fc84a8365f6e57a7f34590972192e692f03340662e2bde97498c2ebf5617e45d8dfb6e866fd7de290644adb58e5338b2e0fdccc215f1 SHA512 4e01c1f48734c9568412b84160150e7e50ebdf5ba3dd466cf9d37b7f875ca2993915db75e2f6dd8e75e60b7b952fb0146928a41dde100ad38384b9be2ed60522
diff --git a/dev-python/executing/executing-0.8.3.ebuild b/dev-python/executing/executing-0.8.3.ebuild
new file mode 100644
index 000000000000..421aa6716102
--- /dev/null
+++ b/dev-python/executing/executing-0.8.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+ https://github.com/alexmojaki/executing/
+ https://pypi.org/project/executing/
+"
+SRC_URI="
+ https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~riscv ~sparc"
+
+# asttokens is optional runtime dep
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/littleutils[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ # this test explodes when collected by pytest
+ "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+ epytest tests/test_pytest.py
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 6d328e309db4..c5d58cdb787e 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,6 +1,2 @@
-DIST imageio-2.13.4.gh.tar.gz 340913 BLAKE2B 332d819633a52069265dd0c02163698085b8d0891ee84def78d99f6fb9888752d8f6384c9666dc66d99bc48673648f736eb6f545b67583cae7252caef6f9e499 SHA512 0329a1bfb6906d7f759fec8d5a500cae9a8edaa125d3e4cab7f0e87b2e5eef24655520aecab309de823f9bd8357a1461f772801bac437ed3489804e3c4b40855
-DIST imageio-2.13.5.gh.tar.gz 341447 BLAKE2B 8fd719533325647980355c0a5180a949d1f282ed11fcdb92a0c580f6aa76f799a60f8a3642c72424e557c84c5f1d5a0610cf679d37dcd8d157865c5d19ef94bf SHA512 52b431c3f41ea598d48f1d9c36cd9a5cdaa13365ce5391b832a3ef5dbdb6803435456bd653b509b75ee00452d07b47e43d87ac0c80598bb99f817ee8abe2e74c
-DIST imageio-2.14.0.gh.tar.gz 344226 BLAKE2B 88848591909ef247b7f13b033f545901f850fbc7218558781f1da6077f447d8afab5d9d290558e22bc1e94056049100e26d3a471faf1398dad2b8756747d6670 SHA512 51b005af2eac0988a2c2b2c629be5aff989a9251d60acc01bccbd9109fa7fe3101185dc657d24c8f1ede56cedf39d8815931385c50816f2a5e453fecfc02f967
-DIST imageio-2.14.1.gh.tar.gz 344533 BLAKE2B 769b1752fe7e61f2d1be563db8603afa9e0dda758cdd979413bc3235ae04f2fa6c788f031555cdd73e06d1e8cb89813a5ca6a2f45c0826cf402534a770f80884 SHA512 1e4769f0817f959208c4a2efa0f9b074e305385424c0297936a52bd9835e584f030166dee3de99d078a097b664f6db84f475045ec3e3b6e5b0fea146637b215c
-DIST imageio-2.15.0.gh.tar.gz 352945 BLAKE2B d0c24b53b1c57c6feb11d659cc0491a0d622031b2ea8991761326f441f356015ce4fcafec30efb9a30f58627aa16efe7807bb1215c97d9d01db06b58b9c89fae SHA512 4c39c2c5c8bddfa4f1f5c2b95cca3715d4f469284bcf7306ba17fe712aeb4e75d2fa95f1efdc18b39af9a29106d9bbd9b74c648ad3e2c8ca837b601150c4acca
DIST imageio-2.16.0.gh.tar.gz 360333 BLAKE2B fbfea25b9a6dfb945bcaced141649bcc3a7c578115fe2be3151d7a90bab6a51fc20e4806085a2afc934b7ec9de95b5df9fedba9af9722242dac44e2f86009e2b SHA512 18f6e3f0b5c09ac546640ef88a0fe6c157e20ecbaa2de5a2199eab6caac3ca9fd294cf66a2eea79b954271c27390816392af62a27d0e2e11817776efec3a0cd3
+DIST imageio-2.16.1.gh.tar.gz 361506 BLAKE2B df7df1cdf414fa762a37c509f2452f7ef20b811695b71acd391d6f565161ae4b5d1caa9dc2f9278ddb87ad518087ed2c729b93806cf1f01a7402e7a77af9383f SHA512 8cd5ce184f67be9cd5edbd5bf51f59c271a71e8fe68c22d284ddabe24cdec6bcf5e590c9c95664b0205509c133e9cd959d11605226a1d4d99f14e95c6d7527c3
diff --git a/dev-python/imageio/imageio-2.13.4.ebuild b/dev-python/imageio/imageio-2.13.4.ebuild
deleted file mode 100644
index aee315c8f837..000000000000
--- a/dev-python/imageio/imageio-2.13.4.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Python library for reading and writing image data"
-HOMEPAGE="https://imageio.github.io/"
-SRC_URI="
- https://github.com/imageio/imageio/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-PROPERTIES="test_network"
-RESTRICT="test"
-
-RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- media-libs/freeimage
-"
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/tifffile[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Fails because of system installed freeimage
- tests/test_core.py::test_findlib2
-)
-
-EPYTEST_IGNORE=(
- # Needs unpackaged imageio_ffmpeg
- tests/test_ffmpeg.py
- tests/test_ffmpeg_info.py
-)
diff --git a/dev-python/imageio/imageio-2.13.5.ebuild b/dev-python/imageio/imageio-2.13.5.ebuild
deleted file mode 100644
index aee315c8f837..000000000000
--- a/dev-python/imageio/imageio-2.13.5.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Python library for reading and writing image data"
-HOMEPAGE="https://imageio.github.io/"
-SRC_URI="
- https://github.com/imageio/imageio/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-PROPERTIES="test_network"
-RESTRICT="test"
-
-RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- media-libs/freeimage
-"
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/tifffile[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Fails because of system installed freeimage
- tests/test_core.py::test_findlib2
-)
-
-EPYTEST_IGNORE=(
- # Needs unpackaged imageio_ffmpeg
- tests/test_ffmpeg.py
- tests/test_ffmpeg_info.py
-)
diff --git a/dev-python/imageio/imageio-2.14.0.ebuild b/dev-python/imageio/imageio-2.14.0.ebuild
deleted file mode 100644
index f4bf7b562571..000000000000
--- a/dev-python/imageio/imageio-2.14.0.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Python library for reading and writing image data"
-HOMEPAGE="https://imageio.github.io/"
-SRC_URI="
- https://github.com/imageio/imageio/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-PROPERTIES="test_network"
-RESTRICT="test"
-
-RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- media-libs/freeimage
-"
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/tifffile[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Fails because of system installed freeimage
- tests/test_core.py::test_findlib2
-)
-
-EPYTEST_IGNORE=(
- # Needs unpackaged imageio_ffmpeg
- tests/test_ffmpeg.py
- tests/test_ffmpeg_info.py
-)
diff --git a/dev-python/imageio/imageio-2.14.1.ebuild b/dev-python/imageio/imageio-2.14.1.ebuild
deleted file mode 100644
index 5d2a3daa5b71..000000000000
--- a/dev-python/imageio/imageio-2.14.1.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1
-
-DESCRIPTION="Python library for reading and writing image data"
-HOMEPAGE="https://imageio.github.io/"
-SRC_URI="
- https://github.com/imageio/imageio/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-PROPERTIES="test_network"
-RESTRICT="test"
-
-RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- media-libs/freeimage
-"
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/tifffile[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Fails because of system installed freeimage
- tests/test_core.py::test_findlib2
-)
-
-EPYTEST_IGNORE=(
- # Needs unpackaged imageio_ffmpeg
- tests/test_ffmpeg.py
- tests/test_ffmpeg_info.py
-)
diff --git a/dev-python/imageio/imageio-2.15.0.ebuild b/dev-python/imageio/imageio-2.16.1.ebuild
index a80ba51b8ca3..fd676564cc2c 100644
--- a/dev-python/imageio/imageio-2.15.0.ebuild
+++ b/dev-python/imageio/imageio-2.16.1.ebuild
@@ -18,12 +18,13 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
+# over 50% of tests rely on Internet
PROPERTIES="test_network"
RESTRICT="test"
RDEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
media-libs/freeimage
"
# requests for fsspec[github]
diff --git a/dev-python/importlib_metadata/Manifest b/dev-python/importlib_metadata/Manifest
index 4081f723ddff..75470a0e730b 100644
--- a/dev-python/importlib_metadata/Manifest
+++ b/dev-python/importlib_metadata/Manifest
@@ -1,3 +1,4 @@
DIST importlib_metadata-4.10.1.tar.gz 42013 BLAKE2B 056a8e16cacc961bef5168c903f5143a764eeee028f576da964fa4b1462ecb98b5baa1b59653cf15a49b0f8d8c31cc9993c16c89d04d188cb1a99d3943ac4ec4 SHA512 96ceb9286145e2933ca3a1724fde4519819c27a1dc0947ef8e0c399a4cc2026875e673ab352f08bb4dd6aa10d78d8c9773a6fb0138e3065961df7e850ff37757
DIST importlib_metadata-4.11.0.tar.gz 42170 BLAKE2B b1f0a887c3b62981b3312a06b0ebb0bc8e03313f6b1cfb58f59ef934f15aeb5247cf58befba7551f3485bd7162ed8a3c90633a88445a03257aeb9c15a101c08a SHA512 d959fdbf947c034fcac921677041a9f765a09b9b63566f83680f4fe68260d09278f5a3fe443ce0c63a8e561f9cc6e0b48721e75c065af3c89a91cdffe6d2d451
DIST importlib_metadata-4.11.1.tar.gz 42224 BLAKE2B 7d376d0bfaf3304ea8412559bcbafd2a92ee88a045432a1245b5127ac1766c2842374f4e05e140e95f0e7e73072cdfe6fba6b140c656470f1c24aae8500b662f SHA512 1f7a5469b378b9f3080ae893637eb5aa778267250c50c8a56786d912ef8cd2f737cc580686f7ce37351505728493ac5feb243823ec37b7afc978746e7dc70cef
+DIST importlib_metadata-4.11.2.tar.gz 43293 BLAKE2B ea515da66eed404d7d6bdf09fc3ade31c34a48656a6e37219c2d86eed3004ef2c82dc80f916de54b45e4b462a3b142d40b8e2ee959614e9be011844ba12eb3fc SHA512 114a8078b15905a898d63934f208d6409ec043cd5ac35f9455f532956fb7e5262df26aadcd8618ca8b2baf69333147a15d456fdb0d8e50163aecedfccb6003d9
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild
new file mode 100644
index 000000000000..b17d4dd46f2c
--- /dev/null
+++ b/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+# NB: this package extends beyond built-in importlib stuff in py3.8+
+# new entry_point API not yet included in cpython release
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read metadata from Python packages"
+HOMEPAGE="https://github.com/python/importlib_metadata"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ )
+"
+
+distutils_enable_sphinx docs dev-python/jaraco-packaging dev-python/rst-linker
+distutils_enable_tests unittest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "importlib_metadata"
+ version = "${PV}"
+ description = "Read metadata from Python packages"
+ EOF
+}
diff --git a/dev-python/importlib_resources/importlib_resources-5.4.0-r2.ebuild b/dev-python/importlib_resources/importlib_resources-5.4.0-r2.ebuild
deleted file mode 100644
index b32b0b73faf9..000000000000
--- a/dev-python/importlib_resources/importlib_resources-5.4.0-r2.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# This is a backport of Python 3.9's importlib.resources
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Read resources from Python packages"
-HOMEPAGE="https://github.com/python/importlib_resources"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-
-RDEPEND="
- $(python_gen_cond_dep '
- dev-python/zipp[${PYTHON_USEDEP}]
- ' python3_{8,9} pypy3)"
-BDEPEND="
- >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests unittest
-distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
diff --git a/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild b/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
index 4a31d549da73..adb6b9bd4f77 100644
--- a/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
+++ b/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/jaraco-envs/Manifest b/dev-python/jaraco-envs/Manifest
index ce338bf6a09a..a3baa885d02e 100644
--- a/dev-python/jaraco-envs/Manifest
+++ b/dev-python/jaraco-envs/Manifest
@@ -1 +1,2 @@
DIST jaraco.envs-2.2.0.tar.gz 6151 BLAKE2B a620bb64ffad881e9b31569d90b621ac79f27ff78c6531f0e89e7f4cf386a4a8045aa9676e561b51d75ce1bef82b4f86342fb51dfe1a1acc32eeae58b4237373 SHA512 b852168f718c133142b592402d17891cad821493842324263c195d0c6d15592946c89431d278b4860f8802363debce87f35e11f1357a52b94620bcc3f90d99ec
+DIST jaraco.envs-2.3.0.tar.gz 6939 BLAKE2B 6cbdc2dff26d29c6985175851072278cdec1f4811ef609017870d133547ab69f3e98e6cf09bf6f9770b2cadd62281b806ddbd6d1cab3f5793ec185aa019edd8f SHA512 c0f1e8e515d18d1f5c181c1072fe72b3f99ad06971ec420e3aae6631daa734e0fef05e720cb7770e37de07d65c02578f9be916354d0507761a5fde749c7cb643
diff --git a/dev-python/jaraco-envs/jaraco-envs-2.3.0.ebuild b/dev-python/jaraco-envs/jaraco-envs-2.3.0.ebuild
new file mode 100644
index 000000000000..358e5dc3e693
--- /dev/null
+++ b/dev-python/jaraco-envs/jaraco-envs-2.3.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Classes for orchestrating Python (virtual) environments"
+HOMEPAGE="https://github.com/jaraco/jaraco.envs"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/path-py[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+# there are no actual tests, just flake8 etc
+RESTRICT="test"
+
+src_prepare() {
+ # optional runtime dep, not used by anything in ::gentoo
+ sed -i -e '/tox/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild b/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild
index 7a14bdf11873..a78e5e194706 100644
--- a/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild
+++ b/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild
@@ -16,7 +16,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~sparc x86"
RDEPEND="
>=dev-python/jaraco-context-4.1.1-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 260cb2e5e2d2..31f8489aff3b 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -3,4 +3,5 @@ DIST Nuitka-0.6.19.5.tar.gz 3728119 BLAKE2B 8300356499e53185cd2b6a547b8deef818bf
DIST Nuitka-0.6.19.6.tar.gz 3726831 BLAKE2B d1b10f8a599898824cbc40a43dda6b88d89b8e4e8ae1d32b4458f6f5e9241e088fc2d4b6fb8e68e889abdbb2309f47cba100df78c5fe54a5b5333eb79a2143d7 SHA512 fc537b6c12c2a4f165c59f4fae39fea2894bc2f6221361dac39dc39a120a82b725e22810857c618305799b862b887e314c6dd340650e5c2029923e550143869e
DIST Nuitka-0.6.19.7.tar.gz 3728926 BLAKE2B 56d497b8ef556671f3442952a3af32b9401cd5ec52bc082ace472f644a90d42f16bd3831bd430c887c6bd0fb866bf14fc37ac6662a679856801a16723e4f7401 SHA512 f1921c7717247a139ac0b8f3be9ae4f3d40b928da86fcfc671843e0e0e96184489daf3e2ff8c84f3214e4797cb7d6121c05f5d8bc3fceb0ccd85d81675ade97e
DIST Nuitka-0.7.1.tar.gz 3753656 BLAKE2B 3df355bec346442a76a73e73a17b923fda43404305d727a239275991cf7fd31fef902635aa5f406485e28e43fb79950ce53fe5fcf7110869bdead5f5576513aa SHA512 debbef81475e70d3ab01cd3df990cb20f7b7217f73a35c66bb10dd6ec6ded7abf098239d1f88001f3bb282b84790f570a07dba4ab9823833e84d3faa6e7fe4f8
+DIST Nuitka-0.7.2.tar.gz 3754512 BLAKE2B 6d4dfbc51ab5144f5690864abd8ff1e143f98384c859011f43f91b7e25ec6802531c0f017381c5a99b12d0051c716a06fa8f1cc7ceb4e1c46881fea359eb0ab3 SHA512 65a2fe6f51593a717aab3738979b3870ba21fda8b25df88ab99f0b27f58b261cb68511cb45b0bccd0a9eafdf1bf96c4a93d735efc80f882e44dbbef76298db02
DIST Nuitka-0.7.tar.gz 3754689 BLAKE2B 28df135ff6d036c8bf27390d07ccc0bf924d39d924e9515fbf7c99a5a5a4dd837695c37cc0ef0889a8da27d277f48ada6dbcb52cc6b1a041b1f2c0a5e44ca7c5 SHA512 9732178faaf9607af0a37861b3f1eb8e64a2b7b5705351f5e82d3238713325f9dcbcb1a549a012c247cd08e3657e21a95c4d42e8fb1233d3fbb1403b09860235
diff --git a/dev-python/nuitka/nuitka-0.7.2.ebuild b/dev-python/nuitka/nuitka-0.7.2.ebuild
new file mode 100644
index 000000000000..ff918172d5ef
--- /dev/null
+++ b/dev-python/nuitka/nuitka-0.7.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="https://www.nuitka.net"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/scons[${PYTHON_USEDEP}]"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/packaging/packaging-21.3-r2.ebuild b/dev-python/packaging/packaging-21.3-r2.ebuild
index 5a83f2ad6278..9affe45de7a4 100644
--- a/dev-python/packaging/packaging-21.3-r2.ebuild
+++ b/dev-python/packaging/packaging-21.3-r2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
SLOT="0"
LICENSE="|| ( Apache-2.0 BSD-2 )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
>=dev-python/pyparsing-3.0.7-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/pikepdf/pikepdf-4.5.0.ebuild b/dev-python/pikepdf/pikepdf-4.5.0.ebuild
index 41d3cc5ff32d..0c99bdba6d7e 100644
--- a/dev-python/pikepdf/pikepdf-4.5.0.ebuild
+++ b/dev-python/pikepdf/pikepdf-4.5.0.ebuild
@@ -17,7 +17,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
DEPEND=">=app-text/qpdf-10.3.1:0="
RDEPEND="${DEPEND}
diff --git a/dev-python/pygame/pygame-2.1.2-r1.ebuild b/dev-python/pygame/pygame-2.1.2-r1.ebuild
index 5b6978d9e7fe..cf6ebca98ade 100644
--- a/dev-python/pygame/pygame-2.1.2-r1.ebuild
+++ b/dev-python/pygame/pygame-2.1.2-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="examples midi opengl test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyilmbase/pyilmbase-2.5.7-r1.ebuild b/dev-python/pyilmbase/pyilmbase-2.5.7-r1.ebuild
index 87ff1bb596bb..a67868408884 100644
--- a/dev-python/pyilmbase/pyilmbase-2.5.7-r1.ebuild
+++ b/dev-python/pyilmbase/pyilmbase-2.5.7-r1.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/openexr-${PV}/PyIlmBase"
LICENSE="BSD"
SLOT="0/25"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
IUSE="exceptions test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyopengl/pyopengl-3.1.6.ebuild b/dev-python/pyopengl/pyopengl-3.1.6.ebuild
index ff32670ed532..09cf34f45cf6 100644
--- a/dev-python/pyopengl/pyopengl-3.1.6.ebuild
+++ b/dev-python/pyopengl/pyopengl-3.1.6.ebuild
@@ -19,7 +19,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="tk"
RDEPEND="
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild
index 283b55c9f4f8..38bb266cd6b5 100644
--- a/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild
+++ b/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild
@@ -19,7 +19,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="
=dev-python/httpx-0.22*[${PYTHON_USEDEP}]
diff --git a/dev-python/pytest-regressions/pytest-regressions-2.3.1.ebuild b/dev-python/pytest-regressions/pytest-regressions-2.3.1.ebuild
index 5aa0545bbac7..cf56a40bf98b 100644
--- a/dev-python/pytest-regressions/pytest-regressions-2.3.1.ebuild
+++ b/dev-python/pytest-regressions/pytest-regressions-2.3.1.ebuild
@@ -22,14 +22,38 @@ RDEPEND="
dev-python/pyyaml[${PYTHON_USEDEP}]
"
-BDEPEND="
- test? (
- dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pandas[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/tox[${PYTHON_USEDEP}]
- )"
-
distutils_enable_tests pytest
distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py::test_image_regression
+ )
+ fi
+ if ! has_version "dev-python/numpy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_ndarrays_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_filenames.py::test_foo
+ tests/test_filenames.py::TestClass::test_foo
+ tests/test_filenames.py::TestClassWithIgnoredName::test_foo
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_dataframe_regression.py
+ tests/test_num_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pillow[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/python-efl/Manifest b/dev-python/python-efl/Manifest
index 85e4d62721f9..a3778d79aa83 100644
--- a/dev-python/python-efl/Manifest
+++ b/dev-python/python-efl/Manifest
@@ -1 +1,2 @@
DIST python-efl-1.25.0.tar.xz 9543920 BLAKE2B fc2b951ade2fc2b7c32dd78a84800bc9f225499ee9d8431034b378c86e423181d918aba2c4d056974f3aa2df9cfb9c7b3dcf1c366362387048cde182c0b3128a SHA512 23ed29add25cd2639e9eb144f22c5e2809b8634389f7ab5c4b7ebc19302fde4ebb0fe8c41d7b10923e658676c4dfbb8670fda16675682fd376258beecbc3d9c3
+DIST python-efl-1.26.0.tar.xz 9547648 BLAKE2B b6fd9e86695569291b416140c92316aeb4e3bd42d12fc3fd656b86fe7fae364720c8457c53828dc00838a68620fa604426d86c5d4bce02e94eaa82a4fed120ee SHA512 fe552a65d7d4d3e3664310e6bb7189c883c64361a64a2def04e8d14df3e5a03211e2992333f1c05288b96f1d99f20ad4ac848baea91d43db280dad81315e2473
diff --git a/dev-python/python-efl/python-efl-1.26.0.ebuild b/dev-python/python-efl/python-efl-1.26.0.ebuild
new file mode 100644
index 000000000000..85d113d6f040
--- /dev/null
+++ b/dev-python/python-efl/python-efl-1.26.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python bindings for Enlightenment Foundation Libraries"
+HOMEPAGE="https://github.com/DaveMDS/python-efl https://docs.enlightenment.org/python-efl/current/"
+SRC_URI="https://download.enlightenment.org/rel/bindings/python/${P}.tar.xz"
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="=dev-libs/efl-$(ver_cut 1-2)*
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ sys-apps/dbus"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )"
+
+PATCHES=( "${FILESDIR}/python-efl-1.25-clang-crosscompile.patch" )
+
+src_prepare() {
+ default
+
+ # Generate our own C files, discard the bundled ones.
+ export ENABLE_CYTHON=1
+
+ # Tries to download a file under /tmp
+ rm tests/ecore/test_09_file_download.py || die
+
+ # Tries to use that file which failed to download
+ rm tests/ecore/test_10_file_monitor.py || die
+
+ # Needs an active internet connection
+ rm tests/ecore/test_11_con.py || die
+
+ # Test fails because of deleted files above
+ sed -i 's/>= 13/>= 10/g' tests/ecore/test_08_exe.py || die
+
+ # Make tests verbose
+ sed -i 's:verbosity=1:verbosity=3:' tests/00_run_all_tests.py || die
+
+ # Disable any optimization on x86, #704260
+ if use x86; then
+ filter-flags -O?
+ append-cflags -O0
+ fi
+}
+
+python_compile_all() {
+ if use doc ; then
+ esetup.py build_doc --build-dir "${S}"/build/doc/
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd tests/ || die
+ ${EPYTHON} 00_run_all_tests.py --verbose || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( ./build/doc/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r2.ebuild b/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r2.ebuild
index 4950e3295eaf..0296feb6cd45 100644
--- a/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r2.ebuild
+++ b/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r2.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/slixmpp/Manifest b/dev-python/slixmpp/Manifest
index f2266da4ea51..9f186289bf7f 100644
--- a/dev-python/slixmpp/Manifest
+++ b/dev-python/slixmpp/Manifest
@@ -1 +1,2 @@
DIST slixmpp-1.7.1.tar.gz 931753 BLAKE2B 3de14be36353bc5f5f2cfbe002c44c5e843a7b36fa31a9dd315e363fc67e36d080df0dc70d82e65c6802c41377c2e98f56ff4e23cc5e9a92165c3d3b7565493f SHA512 5a59fcbb901e6f4456049f1ec2bbf781b1ec7c5a3ad4b66216d4c5daffa7f0606f74b941647fe2b53e6c8cdc476371305c7b7a2ca24d21450e19548f888be3b1
+DIST slixmpp-1.8.0.1.tar.gz 532519 BLAKE2B c4cda06d1d16ef92404263a90a6abbba46e526b4f9edc54228757b73c9faa0f04e9340ea80b5f0491017bad04094512bd25fe04fc095742b639cecba73db058b SHA512 0bfa39f126f2154702e160117b619f41319362723226ebf0ed4b803aafef0302d4df9d9a4cff5fd890507a10ac7424a07cc3bece519451bd56be400998dc0178
diff --git a/dev-python/slixmpp/slixmpp-1.8.0.1.ebuild b/dev-python/slixmpp/slixmpp-1.8.0.1.ebuild
new file mode 100644
index 000000000000..8fe12a5511d9
--- /dev/null
+++ b/dev-python/slixmpp/slixmpp-1.8.0.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 library for XMPP"
+HOMEPAGE="https://lab.louiz.org/poezio/slixmpp"
+LICENSE="MIT"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DEPEND="
+ net-dns/libidn
+"
+RDEPEND="
+ dev-python/aiodns[${PYTHON_USEDEP}]
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ ${DEPEND}
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/slixmpp/slixmpp-9999.ebuild b/dev-python/slixmpp/slixmpp-9999.ebuild
index 691efdb849f6..8fe12a5511d9 100644
--- a/dev-python/slixmpp/slixmpp-9999.ebuild
+++ b/dev-python/slixmpp/slixmpp-9999.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
@@ -26,6 +27,7 @@ DEPEND="
RDEPEND="
dev-python/aiodns[${PYTHON_USEDEP}]
dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
dev-python/pyasn1-modules[${PYTHON_USEDEP}]
dev-python/pyasn1[${PYTHON_USEDEP}]
${DEPEND}
diff --git a/dev-python/test_server/Manifest b/dev-python/test_server/Manifest
index bdbdd8c6eb6e..82c3b4b141c7 100644
--- a/dev-python/test_server/Manifest
+++ b/dev-python/test_server/Manifest
@@ -1,2 +1,3 @@
DIST test_server-0.0.36.gh.tar.gz 16663 BLAKE2B fa3e6a00aef11727271dee9c3e06ac878da4aac6098df6d9de56049f175af143bb858e2bd8d91cd1acfffcdf59e8d3dd1bc0fa840c1431ab162a599d103e37f7 SHA512 699abef74e5589396e45309b140da15be82de49383d5c683b729343f83a2e369a6e2bd4383ae442369dffe777100099abaf4f917cd700ec9926f2bcdfe0b84ce
DIST test_server-0.0.37.gh.tar.gz 16873 BLAKE2B ee2a086e9199e1b5d42b1487d3dd2ecfa5ec0e4ab081369c9e7b626a4cdcdcee4ab15a664e3eaf958bd1285c9a3908c366d5b74958d575016a9040d463b71339 SHA512 5c77b6d2b9bcb971af2a563e5a1c840abe429394d2a870f7caa5bd8a5edfb9488a30faf6485bb5a7105a83c36b6547abb1c06f98f44d66af8ff86469bf4125e3
+DIST test_server-0.0.39.gh.tar.gz 17084 BLAKE2B 9891cb1ca63ee9be99ba4926c243ee06785c1bfb7dbd4ef70dd4cd978e81cb83e6cd44850d8fc3dd8f688b83e0a7eaf2370598145f852ad9eaba5b4ea345c460 SHA512 c7567568c0a606d00b94b29a32cb1f2aefff3f59e6e27052eaae0f0f0ac75082cae30797434900492fcd580bd0246aa7292ace7f2bd68e426278dc5ab0c42398
diff --git a/dev-python/test_server/test_server-0.0.39.ebuild b/dev-python/test_server/test_server-0.0.39.ebuild
new file mode 100644
index 000000000000..9f43be88efc0
--- /dev/null
+++ b/dev-python/test_server/test_server-0.0.39.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Server to test HTTP clients"
+HOMEPAGE="
+ https://github.com/lorien/test_server/
+ https://pypi.org/project/test-server/
+"
+SRC_URI="
+ https://github.com/lorien/test_server/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index c2f40f608e07..c206b3dfffe5 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -1 +1,2 @@
DIST tqdm-4.62.3.tar.gz 167952 BLAKE2B d5732fc97256e1fc4f55bd1a0f69f98a87e7132cc1d8484baa12b7615da5a95ce20268515539c595c2b2aaf20f9a9434c17d581b3b90ea3cad3515150e469471 SHA512 1083ca2080163c98bbb55e124ce9d47c790e47c83cd8dad60e4c93773d1d97a50aacb5a25ddb8a2ae3691738e4f4942c88d55dab406c3e810cac18b8929d20ee
+DIST tqdm-4.63.0.tar.gz 168556 BLAKE2B f4fa47290f580f0923fa4325e88b103c4175344c928844149bf4b4445816bb7e87bd176d666b93a94a5981b246541017f0a34d710becf082110caca68b9ee45d SHA512 939ac7e310204094cb0c6a935ba6a91af45cd63fa8fa83865b75d1bcea440d5ff21a4d3405f5bcce864b43159921d3ef7b92d9c390fe30902f24e4e724c7eaf9
diff --git a/dev-python/tqdm/tqdm-4.63.0.ebuild b/dev-python/tqdm/tqdm-4.63.0.ebuild
new file mode 100644
index 000000000000..4edbbeb8e4f3
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.63.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="
+ https://github.com/tqdm/tqdm/
+ https://pypi.org/project/tqdm/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # Skip unpredictable performance tests
+ tests/tests_perf.py
+)
+
+python_install_all() {
+ doman tqdm/tqdm.1
+ newbashcomp tqdm/completion.sh tqdm
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index b94c8f29ae6c..6e79672cdfdf 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1,3 +1,4 @@
DIST weasyprint-53.3.tar.gz 387448 BLAKE2B bc575a150ce3af4b33dc36b1d4148d5059c8a61c2576b9305735ae192314d7df61bd9c92defaa65159933be489c262e8ac343090a840d1cf49ed5af1e5e669ad SHA512 28efd97c06572de3e82763400efee3d2415da03feafcb38158c35465823d6ee8df9be4e11b813beeb2e851a6affae668ee9eea8859ec5de6c4da9347d9f4216a
DIST weasyprint-53.4.tar.gz 388163 BLAKE2B c4a15be4f11f7d6be1bc96da39defb3420f0e96181998f0f20a1da94ea2c942fd1b23f0c4257da122647a88c6950c519b01910476711d4b482a8a9ae0354d95c SHA512 7fcdedbecfa13434217b08491db62b9afd3e716d4ac6378490a04120c407ab1b20883227c32a77c9bd8c8dd7324fb505920264db3c9105d712fa4d7dcf3a1578
DIST weasyprint-54.0.tar.gz 402453 BLAKE2B 57c086a0ddf71e5eecf3860f5efcac327c927689e726694d59122a1ad6e7065c828497eacc04866bd4896a12016a75fc227e5f278f7ee987c8c489db3f7474c4 SHA512 3f6595fa856a5ef97e6c0009de34c3c614b829618fc9a28d5728047bbb6edf4972576a5577ef57d588a645d09a76e87ceb8928cc5536fb3900e6525559bf643b
+DIST weasyprint-54.2.tar.gz 403906 BLAKE2B 47fae441ed7186d30de3c32d20fc9503624b06ee5b6a76ec499914852e198b8e85234a779e5f96a48dc310883b8870afea734006dc2a20545537ad66ceff435f SHA512 fd7d07085f104958872a7ccf82d3ffc748936a4fd2d7757847b54de5248e1517a5f244b406cb052c809daa8194d0fa0701e05703b66afe8a809eff70d2cde8f3
diff --git a/dev-python/weasyprint/weasyprint-54.2.ebuild b/dev-python/weasyprint/weasyprint-54.2.ebuild
new file mode 100644
index 000000000000..acd1f656c8d0
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-54.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="https://weasyprint.org https://github.com/Kozea/WeasyPrint"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.0.3[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.0.0[${PYTHON_USEDEP}]
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ app-text/ghostscript-gpl
+ media-fonts/ahem
+ media-fonts/dejavu
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/wsproto/Manifest b/dev-python/wsproto/Manifest
index f31f595c1112..dacaf902aea9 100644
--- a/dev-python/wsproto/Manifest
+++ b/dev-python/wsproto/Manifest
@@ -1 +1,2 @@
DIST wsproto-1.0.0.tar.gz 53423 BLAKE2B b4cc8c1ef0ccf324821b893b57fc86ab744c639dd07604618485004ef56ca105b5515e1f34a08ccc93de941b1a93eb76ef0d1946f11e05f80d40b98bfe7e4c56 SHA512 36f8c4eebf84bfe869f7124330898d22416b423f47396f2e3f72069e14f1763514e1df700c3e8ee81467cf973197e10143e088978d0688930fa98518af8773fb
+DIST wsproto-1.1.0.tar.gz 52928 BLAKE2B 837f5d8411a55b026d8c5df8b03b44c92f71fe2856884e5199e639a5c060fabbe8eec39cb6861e8f88ae7fc366cbeef4f9d62dade2c95857d27339fa73e90638 SHA512 0cd726bc62ca4d11e96f470f51511008bd43dbb9e99a17633d2a40da7bdaf19716e0a1c995350f5c8f418f906848dd6f2b9b0a853c1b6858ddafa1cc02fab710
diff --git a/dev-python/wsproto/wsproto-1.1.0.ebuild b/dev-python/wsproto/wsproto-1.1.0.ebuild
new file mode 100644
index 000000000000..daf5146eada4
--- /dev/null
+++ b/dev-python/wsproto/wsproto-1.1.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSockets state-machine based protocol implementation"
+HOMEPAGE="
+ https://github.com/python-hyper/wsproto/
+ https://pypi.org/project/wsproto/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/h11-0.9[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index fb95bd022d57..2a6a98d8e707 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1 +1,2 @@
DIST XlsxWriter-RELEASE_3.0.2.tar.gz 34433041 BLAKE2B 748d710d3f953ae22154022a75f3a67898846914cab67302167ba34ba5e449041a95dbc984883e4ff58c078b940ebd429898109abb7a39f57ea499e5fcff83fa SHA512 790eb7fb93d25987adf5d30bfa28e0fa137f809dc9a293edfe86105e0a948263759df85b5a0f9fb19b89c256a33b5b68179d95a210964b6f82345972ee9e6108
+DIST XlsxWriter-RELEASE_3.0.3.tar.gz 35519702 BLAKE2B f4dfa6b286dda94a1a44d8168b8e17f7a37f2f59a23aa3a5ed0efa46b5d8bdcdb831e99a61924e22755c6a921c23f5c540c048152cd07363841ff09a49549c79 SHA512 92a53226aa9ee9f8493fe7171ce752f3a13ef8f3107aecbef896f17022e93bd7dbccb5e619fcbbb3598102030b190d75508d4dacce20b9643eead59a4441f6aa
diff --git a/dev-python/xlsxwriter/xlsxwriter-3.0.3.ebuild b/dev-python/xlsxwriter/xlsxwriter-3.0.3.ebuild
new file mode 100644
index 000000000000..a55f9be37974
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-3.0.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+TAG=RELEASE_${PV}
+MY_P=XlsxWriter-${TAG}
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="https://github.com/jmcnamara/XlsxWriter"
+SRC_URI="
+ https://github.com/jmcnamara/XlsxWriter/archive/${TAG}.tar.gz
+ -> ${MY_P}.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest
diff --git a/dev-python/zstandard/zstandard-0.17.0.ebuild b/dev-python/zstandard/zstandard-0.17.0.ebuild
index 306e2985c97f..f39ab52387fb 100644
--- a/dev-python/zstandard/zstandard-0.17.0.ebuild
+++ b/dev-python/zstandard/zstandard-0.17.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="BSD"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="
app-arch/zstd:="